import 'package:flutter/material.dart';
import 'package:fooder/screens/login.dart';
import 'package:fooder/client.dart';
import 'package:fooder/storage.dart';
import 'package:fooder/theme.dart';

class MyApp extends StatelessWidget {
  final Storage storage;
  final ApiClient apiClient;

  const MyApp({required this.storage, required this.apiClient, super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'FOODER',
      theme: MainTheme.light(),
      darkTheme: MainTheme.dark(),
      themeMode: ThemeMode.system,
      debugShowCheckedModeBanner: false,
      home: LoginScreen(
        apiClient: apiClient,
        storage: storage,
      ),
    );
  }
}

void main() async {
  var storage = await Storage.create();
  var apiClient = await ApiClient.create(
    baseUrl: 'https://fooderapi.domandoman.xyz/api',
  );

  runApp(MyApp(storage: storage, apiClient: apiClient));
}
